Page MenuHomeFreeBSD

if_mxge to update zlib version 1.0.4 to 1.2.11.
ClosedPublic

Authored by ota_j.email.ne.jp on May 16 2019, 4:34 AM.

Details

Summary

Update if_mxge to use newer zlib version.
Also use zcalloc/zfree from ZLIB namespace.

This change depends on D20193 and D19706.
Let's figure out the best way to handle Z_SOLO and zalloc/zfree handling with D20271, first.

Test Plan

TBD

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Harbormaster completed remote builds in B24254: Diff 57434.
delphij requested changes to this revision.Jul 31 2019, 5:42 PM
delphij added inline comments.
sys/dev/mxge/if_mxge.c
727 ↗(On Diff #57434)

I think inflateInit() still expects zfree be set?

This revision now requires changes to proceed.Jul 31 2019, 5:42 PM

Given we added -DZ_SOLO to zlib, pass zfree function explicitly.

sys/dev/mxge/if_mxge.c
149 ↗(On Diff #60379)

We have had zlib dependency here.

ota_j.email.ne.jp edited the summary of this revision. (Show Details)Aug 2 2019, 3:46 AM
delphij accepted this revision.Aug 2 2019, 4:16 AM

Will commit after a tinderbox build.

This revision is now accepted and ready to land.Aug 2 2019, 4:16 AM
This revision was automatically updated to reflect the committed changes.